package com.mx.dla.dda.contrato.transaccion.terminos.dtos;

import java.util.List;

import com.mx.dla.global.dtos.BaseDTO;

public class RevenueSeccionDTO extends BaseDTO {

	private static final long  serialVersionUID	= 1L;

	private String[][]		   revenue;
	private String[]		   periodos;

	private List<List<String>> revenueL;

	public String[][] getRevenue() {
		return revenue;
	}

	public void setRevenue(String[][] revenue) {
		this.revenue = revenue;
	}

	public String[] getPeriodos() {
		return periodos;
	}

	public void setPeriodos(String[] periodos) {
		this.periodos = periodos;
	}

	public List<List<String>> getRevenueL() {
		return revenueL;
	}

	public void setRevenueL(List<List<String>> revenueL) {
		this.revenueL = revenueL;
		if (revenueL != null) {
			this.revenue = new String[revenueL.size()][revenueL.get(0).size()];
			for (int i = 0; i < revenueL.size(); i++)
				for (int j = 0; j < revenueL.get(0).size(); j++)
					this.revenue[i][j] = revenueL.get(i).get(j);
		}
	}

}
